Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-85855

Qt 6.0 development targets

    XMLWordPrintable

    Details

    • Epic Name:
      Qt 6.0 development targets
    • Platform/s:
      Android, iOS/tvOS/watchOS, Linux/Wayland, Linux/X11, Linux/Yocto, macOS, Windows

      Description

      Qt 6.0 development targets listed here. Some of these will have more detailed requirements under this Epic, and may have also other related requirements under other Epics as all planning is not done under this Epic.

      Planned supported targets for Qt 6.0

      • All development hosts QTBUG-85851 and specifically
        • Windows 10 (1809 a.k.a RS5 LTSC or later, only 64bit Intel)
        • macOS 10.14 and 10.15, also 10.16 when available
      • Yocto 3.1 Dunfell (gcc 9.3) based Embedded Linux
      • Mobile Phones with iOS (13 and 14, CI with 13.2.sdk) or Android (28 built time Pie 9.0, 23 run time Marshmallow 6.0)

      Targets in Qt 5.15 LTS that are not supported in Qt 6.0

      To be explicit, there are a number of targets that will no longer be part of the effort from TQC, or will be in a later Qt 6.x release. Naturally Qt community can put effort and maintain a target support, we shall follow that and hope to have requiremnts and updates appearing under this Epic (or atleast linked here for user visibility).

      List of dropped or delayed targets:

      • Windows 7 not supported, use Qt 5.15 LTS instead
      • Windows 8.1 not supported, use Qt 5.12 LTS instead
      • Windows 32bit not supported, use Qt 5.15 LTS instead
      • WinRT or UWP not supported, use Qt 5.15 LTS or earlier instead
      • Windows 10 releases before 2018 / older than 1809, may work, for support , use Qt 5.15 LTS instead
      • Windows 10 on ARM (WoA) plan open, see QTBUG-85820
      • QNX, planned for Qt 6.2 LTS, meanwhile use Qt 5.15 LTS
      • INTEGRITY, planned for Qt 6.2 LTS, meanwhile use Qt 5.15 LTS
      • VxWorks, plan open, meanwhile use Qt 5.12 LTS available through Qt Professional Services
      • WebAssembly, planned for Qt 6.1
      • Apple macOS on ARM plan open, see QTBUG-85279
      • Apple watchOS not planned, use Qt 5.15 LTS
      • Apple tvOS not planned, use Qt 5.15 LTS
        Note: Qt 6.1 and 6.2 LTS will have several more Yocto based Embedded Linux ready-made B2Qt targets than in Qt 6.0.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              kavi Kalle Viironen
              Reporter:
              santtuahonen Santtu Ahonen
              PM Owner:
              Santtu Ahonen Santtu Ahonen
              RnD Owner:
              Kalle Viironen Kalle Viironen
              Votes:
              0 Vote for this issue
              Watchers:
              8 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Gerrit Reviews

                  There are no open Gerrit changes